package price_default

import (
	"cls-server/internal/domain/price_default"
	"cls-server/pkg/xorm_engine"
	"xorm.io/builder"
)

type PriceDefaultRepositoryORM struct {
	engine *xorm_engine.Engine
}

var _ price_default.PriceDefaultRepository = (*PriceDefaultRepositoryORM)(nil)

func NewPriceRepositoryORM(engine *xorm_engine.Engine) price_default.PriceDefaultRepository {
	return &PriceDefaultRepositoryORM{engine}
}

func (p PriceDefaultRepositoryORM) Save(pd *price_default.PriceDefault) error {
	if pd.Id > 0 {
		_, err := p.engine.Update(pd)
		return err
	}
	_, err := p.engine.Insert(pd)
	return err
}

func (p PriceDefaultRepositoryORM) Get() (*price_default.PriceDefault, error) {
	data := &price_default.PriceDefault{}
	_, err := p.engine.Where(builder.Eq{"id": 1}).Get(data)
	return data, err
}
