import { Article } from "./article";
import { Column } from "./column";
export interface Price {
  id: number;
  targetId: number;
  type: PriceType;
  amount: number;
  firstMontDiscount:number;
  oneMonthPrice: number;
  threeMonthsPrice: number;
  sixMonthsPrice: number;
  oneYearPrice: number;
  discount: number;
}

export enum PriceType {
  TypeArticle = 1,
  TypeColumn = 2
}

export interface PriceDefault {
  id: number;
  amount: number;
  firstMontDiscount:number;
  oneMonthPrice: number;
  threeMonthsPrice: number;
  sixMonthsPrice: number;
  oneYearPrice: number;
  discount: number;
}
export interface ArticlePrice {
  article: Article;
  price: Price;
}

export interface ColumnPrice {
  column: Column;
  price: Price;
}

