import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {Observable} from "rxjs";
import {Price, PriceDefault} from "../../core/models/price";
import {extractData, Page} from "../../core/models/page";
import {map} from "rxjs/operators";
import {HttpUtils} from "../../core/until/http.utils";
import { ArticlePrice, ColumnPrice } from '../../core/models/price';
import {Article} from "../../core/models/article";
@Injectable({
  providedIn: 'root'
})
export class PriceService {

  constructor(private http:HttpClient) { }

  // auth.POST("/create", h.create)
  // auth.GET("/get-default", h.getPriceDefault)
  // auth.POST("/update-default", h.updatePriceDefault)
  // auth.POST("/update", h.update)
  // auth.GET("/page-article", h.getPriceArticle)
  // auth.GET("/page-column", h.getPriceColumn)
  // pageOfArticle(searchParams: { [key: string]: string }):Observable<Page<ArticlePrice>> {
  //   return this.http.get<Page<ArticlePrice>>('/api/price/page-article"',
  //     {params:HttpUtils.getSearchParams(searchParams)}).pipe(
  //     map(response=> extractData<ArticlePrice>(response))
  //   )
  // }

  pageOfArticle(searchParams:{[key:string]:string}):Observable<Page<ArticlePrice>> {
    return this.http.get<Page<ArticlePrice>>('/api/price/page-article',{
      params:HttpUtils.getSearchParams(searchParams)
    }).pipe(map(response => extractData<ArticlePrice>(response)))
  }

  pageOfColumn(searchParams:{[key:string]:string}):Observable<Page<ColumnPrice>> {
    console.log("come in")
    return this.http.get<Page<ColumnPrice>>('/api/price/page-column',{
      params:HttpUtils.getSearchParams(searchParams)
    }).pipe(
      map(response => extractData<ColumnPrice>(response ))
    )
  }
  getDefaultPrice():Observable<PriceDefault> {
    return this.http.get<PriceDefault>('/api/price/get-default')
  }
  updateDefaultPrice(pd:PriceDefault):Observable<null> {
    return this.http.post<null>('/api/price/update-default',pd)
  }
  update(price: Price): Observable<any> {
    return this.http.post('/api/price/update', price);
  }
}
